MAV_matrix(3)

NAME
MAV_matrix - 4x4 transformation matrix.

LEVEL
Maverik Level 2

SYNTAX

 typedef struct {
  float mat[4][4];
} MAV_matrix;

DESCRIPTION
The Maverik 4x4 transformation matrix. It is strongly recommended that matrices should only be manipulated using the functions and hash defines provided (see mav_matrixSet, and associated functions). At their own risk, advanced users may access the individual elements stored in mat. However, they should be aware of the ordering of the array as discussed in the Maverik FAQ and OpenGL documentation.

Note that matrices should not be skewed, nor have a non-uniform scaling applied to them. This is because of assumptions made in the default intersection functions.